# Copyright 2010  Lars Wirzenius
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from distutils.core import setup
import glob
import subprocess

p = subprocess.Popen(['./dupfiles', '--version'], stdout=subprocess.PIPE)
out, err = p.communicate()
if p.returncode != 0:
    raise Exception('./dupfiles --version failed')
version = out.splitlines()[0]

setup(
    name='dupfiles',
    version=version,
    description='Find duplicate files',
    author='Lars Wirzenius',
    author_email='liw@liw.fi',
    url='http://liw.fi/dupfiles/',
    scripts=['dupfiles'],
    data_files=[('share/man/man1', glob.glob('*.1'))],
)
